VERSION 5.00
Object = "{65E121D4-0C60-11D2-A9FC-0000F8754DA1}#2.0#0"; "mschrt20.ocx"
Object = "{6FBA474E-43AC-11CE-9A0E-00AA0062BB4C}#1.0#0"; "sysinfo.ocx"
Begin VB.Form Form2 
   BackColor       =   &H00FFFFFF&
   Caption         =   "Form2"
   ClientHeight    =   10935
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   14175
   LinkTopic       =   "Form2"
   ScaleHeight     =   10935
   ScaleWidth      =   14175
   StartUpPosition =   3  'Windows Default
   Begin SysInfoLib.SysInfo SysInfo1 
      Left            =   640
      Top             =   12
      _ExtentX        =   1005
      _ExtentY        =   1005
      _Version        =   393216
   End
   Begin MSChart20Lib.MSChart MSChart1 
      Bindings        =   "Form2.frx":0000
      Height          =   10575
      Left            =   240
      OleObjectBlob   =   "Form2.frx":0016
      TabIndex        =   0
      Top             =   120
      Width           =   13695
   End
End
Attribute VB_Name = "Form2"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub Form_Load()
'
'----------------------------------------------------------------------------------------
' Form_Load - Contient un graphique
'----------------------------------------------------------------------------------------
'
' Ce sous-programme contient la strucutre gnrale d'un sous-programme ou d'une fonction
' pour tracer des graphiques, ici des lignes.
'
'----------------------------------------------------------------------------------------
'  2003 Paul Salmon
'----------------------------------------------------------------------------------------
'
' Dclarations des varaibles locales.
'
Dim Toto() As Double     ' Tableau contenant les deux sries  tracer sur le
                         ' graphique
Dim i As Long            ' Indice de boucle
Dim j As Long            ' Indice de boucle
Dim MinRegData As Double ' Minimun des deux sries  tracer
Dim MaxRegData As Double ' Maximum des deux sries  tracer
Dim SeriesToto As Series ' Collection des sries  tracer
'
' Modification du titre de la forme.
'
Me.Caption = Trim(CoursIntitule) & " vs. " & Trim(IndiceIntitule)
'
' Modification de la couleur du fond de la forme
'
Me.BackColor = &HFFFFFF
'
' Modification de la taille de la Form
'
Me.Width = ScaleX(640, vbPixels)
Me.Height = ScaleY(480, vbPixels)
'
' Change d'abord le type de graphique en un
' graphique 3D pour voir toutes les parties du trac.
'
MSChart1.Width = Me.Width * 0.98
MSChart1.Height = Me.Height * 0.955
MSChart1.Left = Me.Width * 0#
MSChart1.Top = Me.Height * 0#
'
' Dtermination du type de graphique.
'
MSChart1.chartType = VtChChartType2dLine
'
' Affectation du minimum initial et du maximum initial
'
' Il est difficilement pensable qu'une action ou une obligation soit mise  ce prix.
' Pour d'autre type de donnes, il faudrait revoir cette partie.
'
MinRegData = 10000000
'
' Le cours d'une action ne pouvant tre nul
'
MaxRegData = 0
'
' Redimensionnement du tableau contenant les observations des sries  tracer
'
ReDim Toto(0 To UBound(RegData, 1), 0 To 1)
'
' Affectation des donnes  Toto et recherche du minimum et du maximumun
' Ils sont recherchs sur toutes les sries contenues dans Toto.
'
For i = 0 To UBound(RegData, 1)
    For j = 0 To 1
        Toto(i, j) = RegData(i, j + 1)
        If Toto(i, j) > MaxRegData Then
            MaxRegData = Toto(i, j)
        Debug.Print "Max est pour i = " & i & " , et la valeur est de " & Toto(i, j)
        End If
        If Toto(i, j) < MinRegData Then
            MinRegData = Toto(i, j)
        End If
    Next j
Next i
'
' Chargement des donnes pour le graphique
'
MSChart1.ChartData = Toto
'
' Traitement des sries du graphique.
'
For Each SeriesToto In MSChart1.Plot.SeriesCollection
    If SeriesToto = "C1" Then
        SeriesToto.LegendText = CoursIntitule
        SeriesToto.Pen.VtColor.Set 255, 0, 0
        SeriesToto.Pen.Width = 15
    ElseIf SeriesToto = "C2" Then
        SeriesToto.LegendText = "Calcul"
        SeriesToto.Pen.VtColor.Set 0, 0, 255
        SeriesToto.Pen.Width = 10
    End If
Next
'
' Titre du graphique
'
With MSChart1.Title.VtFont
        .Style = VtFontStyleBold
        .Name = "Algerian"
        .Size = 12
        .Effect = VtFontEffectUnderline
End With

MSChart1.Title.Text = Trim(CoursIntitule) & " vs. " & Trim(IndiceIntitule)
'
' Lgende
'
With MSChart1.Legend
    With .Backdrop
        .Fill.Brush.FillColor.Automatic = True
        .Frame.FrameColor.Automatic = True
        .Shadow.Brush.FillColor.Automatic = True
    End With
    With .Location
        .Visible = True
        .LocationType = VtChLocationTypeBottomLeft
    End With
    .Select
    With .TextLayout
        .WordWrap = True
        .VertAlignment = VtVerticalAlignmentCenter
        .HorzAlignment = VtHorizontalAlignmentRight
        .Orientation = VtOrientationUp
    End With
    With .VtFont
        .Name = "Verdana"
        .Size = 8
    End With
End With
'
' Note de pied de page
'
With MSChart1.Footnote
    '
    ' Le Footnote est visible.
    '
    .Location.Visible = True
    '
    ' Localisation du pied de page
    '
    .Location.LocationType = VtChLocationTypeBottomLeft
    '
    ' Proprits du pied du Footnote.
    '
    .Text = "Source : EuroNext / Calculs Paul Salmon"
    With .VtFont
        .VtColor.Set 255, 0, 0
        .Size = 10
        .Style = VtFontStyleBold
    End With
    '
End With
'
' Axe des X
'
' Rendre ou non visible les grilles construites pour l'Axe X
'
With MSChart1.Plot
    '
    ' Axe des X
    '
    With .Axis(VtChAxisIdX)
        '
        ' Paramtres de partie de la grille dpdendant de l'axe des X
        '
        With .AxisGrid
            .MajorPen.VtColor.Set 255, 255, 255 ' Dfini que la grille est blanche
            .MajorPen.Width = 5
        End With
        '
        '
        '
        With .ValueScale
            .Auto = True
        End With
        '
        '
        '
        With .CategoryScale
            .Auto = False   ' Sets manual scaling.
            .DivisionsPerLabel = 10 ' Label appears every two divisions.
            .LabelTick = False ' Labels displayed on top of Tick marks.
            .DivisionsPerTick = 10  ' Ticks appear every two divisions.
        End With
        '
    End With
    '
    ' Axe de Y
    '
    With .Axis(VtChAxisIdY, 1)
        With .ValueScale
            .Auto = False
            .Minimum = 0.99 * MinRegData
            .Maximum = 1.01 * MaxRegData
            '
            .MajorDivision = 3
            .MinorDivision = 2
        End With
        With .CategoryScale
            .Auto = False           ' Sets manual scaling.
            .DivisionsPerLabel = 5 ' Label appears every two divisions.
            .DivisionsPerTick = 5   ' Ticks appear every two divisions.
            .LabelTick = True       ' Labels displayed on top of Tick marks.
        End With
    End With
End With
'
' Colore en bleu clair en utilisant l'objet Plot.
'
With MSChart1.Plot.Backdrop
  '
  ' Aucune couleur n'apparat sauf si vous attribuez
  '  la proprit Style la valeur VtFillStyleBrush.
  '
  .Fill.Style = VtFillStyleBrush
  .Fill.Brush.FillColor.Set 255, 255, 255
  '
  ' Ajoute une bordure.
  '
  .Frame.Style = VtFrameStyleThickInner
  '
  ' Dfinit le style pour afficher un ombrage.
  '
  .Shadow.Style = VtShadowStyleDrop
  '
End With
'
' Colore le mur du trac blanc.
'
With MSChart1.Plot
  '
  ' Choisit un style continu.
  '
  .Wall.Brush.Style = VtBrushStyleSolid
  '
  ' Choisit la couleur blanche.
  '
  .Wall.Brush.FillColor.Set 255, 255, 255
  '
End With
'
' Colore le bleu de base du trac.
'
With MSChart1.Plot
  '
  .PlotBase.BaseHeight = 200
  .PlotBase.Brush.Style = VtBrushStyleSolid
  .PlotBase.Brush.FillColor.Set 255, 255, 255
  '
End With
'
End Sub

Private Sub Form_Resize()
'
'----------------------------------------------------------------------------------------
' Form_Resize - redimensionne le graphique en fonction du Form - Version 1.0
'----------------------------------------------------------------------------------------
'
'
'
'----------------------------------------------------------------------------------------
'  2003 Paul Salmon
'----------------------------------------------------------------------------------------
'
' Dclaration des variables locales.
'
Dim Largeur As Single ' Largeur du graphique
Dim Hauteur As Single ' Hauteur du graphique
Dim Gauche As Single  ' Marge gauche du graphique
Dim Haut As Single    ' Marge du haut du graphique
'
Dim ProporWidth As Single  ' Paramtre de mise en forme du graphique : Largeur
Dim ProporHeight As Single ' Paramtre de mise en forme du graphique : Hauteur
Dim ProporGauche As Single ' Paramtre de mise en forme du graphique : Gauche
Dim ProporHaut As Single   ' Paramtre de mise en forme du graphique : Haut
'
' Initialisation des paramtres de taille
'
ProporWidth = 0.99
ProporHeight = 0.955
ProporGauche = 0 '(1 - ProporWidth) / 2
ProporHaut = 0 '(1 - ProporHeight) / 2
'
' Redimensionnement des paramtres de taille du graphique.
'
Largeur = Me.Width * ProporWidth
Hauteur = Me.Height * ProporHeight
Gauche = Me.Height * ProporGauche
Haut = Me.Width * ProporHaut
'
' Application au graphique des nouveaus paramtres
'
MSChart1.Move Gauche, Haut, Largeur, Hauteur
'
'----------------------------------------------------------------------------------------
' Fin du sous-programme
'----------------------------------------------------------------------------------------
'
End Sub
Private Sub SysInfo1_DisplayChanged()
        MsgBox SysInfo1.WorkAreaWidth
        MsgBox SysInfo1.WorkAreaLeft
        MsgBox SysInfo1.WorkAreaTop
        MsgBox SysInfo1.WorkAreaHeight
    
    If Screen.ActiveForm.Width > SysInfo1.WorkAreaWidth Then
        Screen.ActiveForm.Left = SysInfo1.WorkAreaLeft
        Screen.ActiveForm.Width = SysInfo1.WorkAreaWidth
        MsgBox Screen.ActiveForm.Left
        MsgBox Screen.ActiveForm.Width
    End If
    If Screen.ActiveForm.Height > SysInfo1.WorkAreaHeight Then
        Screen.ActiveForm.Top = SysInfo1.WorkAreaTop
        Screen.ActiveForm.Height = SysInfo1.WorkAreaHeight
        MsgBox Screen.ActiveForm.Top
        MsgBox Screen.ActiveForm.Height
    End If
End Sub


