Attribute VB_Name = "Utilitaires"
Option Explicit

Public Function RechercheBackSlash(ChaineEnEntree As String) As String
'
'----------------------------------------------------------------------------------------
'
'   Nom : RechercheBackSlash
'
'   Objet : Recherche si le chemin d'un dossier se termine par un "\"
'           Dans le cas o celui-ci est prsent aucune mdofication n'est faite.
'           Dans le cas o celui-ci est absent il est ajout  la chaine de caratres.
'
'  2005 - Paul Salmon
'----------------------------------------------------------------------------------------
'
' Dclarations locales
'
Dim DernierCaractere As String
'
' Evacuation des ventuels caractres "Blanc"
'
ChaineEnEntree = Trim$(ChaineEnEntree)
'
' Recherche du dernier caratre de la chaine.
'
DernierCaractere = Right$(ChaineEnEntree, 1)
Debug.Print "DernierCaractere = " & DernierCaractere
'
' Comparaison du caractre
'
If DernierCaractere <> "\" Then
    ChaineEnEntree = ChaineEnEntree & "\"
End If
'
' Affectation de la Valeur Retournee.
'
RechercheBackSlash = ChaineEnEntree
'
' Fin de la fontion
'
End Function

Public Function Intitule(Buffer As String, Delimiteur As String) As String
'
'----------------------------------------------------------------------------------------
' Fonction : Intitule
'
'
' Auteur :  2005 - Paul Salmon
'----------------------------------------------------------------------------------------
'
' Dclarations de variable
'
Dim TableauBuffer() As String
Dim i As Integer
Dim SansBlanc As String
Dim CaractereATester As String
Dim Ajout As String

Intitule = ""

TableauBuffer = Split(Buffer, Delimiteur, -1, vbTextCompare)

' Debug.Print "Ubound(TableauBuffer) = " & UBound(TableauBuffer)

If UBound(TableauBuffer) <= 1 Then
    If UBound(TableauBuffer) = 0 Then
        Intitule = ""
    Else
        Intitule = Trim$(TableauBuffer(1))
    End If
Else
    For i = 1 To UBound(TableauBuffer)
        SansBlanc = Trim$(TableauBuffer(i))
        If i = 2 Then
            CaractereATester = Mid$(SansBlanc, 1, 1)
            If (CaractereATester >= Chr(65) And CaractereATester <= Chr(90)) Or _
               (CaractereATester >= Chr(97) And CaractereATester <= Chr(122)) Then
               Ajout = ": "
            ElseIf (CaractereATester >= Chr(48) And CaractereATester <= Chr(57)) Then
                Ajout = ":"
            End If
        End If
        Intitule = Intitule & Ajout & Trim$(TableauBuffer(i))
    Next i
End If
'Debug.Print Intitule
'
'----------------------------------------------------------------------------------------
' Fin de la fonction Intitule
'----------------------------------------------------------------------------------------
'
End Function

Public Sub Temporisation(Attente As Integer)
'
'----------------------------------------------------------------------------------------
'
' Nom : Temporisation
'
'
'  2005 - Paul Salmon
'----------------------------------------------------------------------------------------
'
' Dclarations des variables
'
Dim Debut As Date
Dim TempsAttente As Long
'
' Initialisation des variables
'
Debut = Now
TempsAttente = 0
'
' Boucle de temporisation
'
Do While TempsAttente <= Attente
    DoEvents
    TempsAttente = DateDiff("s", Debut, Now)
    'Debug.Print TempsAttente
Loop
'
'----------------------------------------------------------------------------------------
'
' Fin du sous-programme Temporistation
'
'----------------------------------------------------------------------------------------
'
End Sub

Public Function MaxLen(ChaineAMesurer As String, Maximum As Integer) As Integer
'
'
'
If Len(ChaineAMesurer) > Maximum Then
    MaxLen = Len(ChaineAMesurer)
Else
    MaxLen = Maximum
End If
'
'
'
End Function

Public Function OuvertureBD(NomBDComplet As String) As Integer
' --> Passage de la Version 3.51  Version Jet 4.0
' --> La base de donnes traites ici est une base type Access 2000 / 2002
' --> !!!!!! Modification du fichier de configuration .... nature de la base de donnes Access
'
Set cnn = New ADODB.Connection
cnn.Provider = "Microsoft.Jet.OLEDB.4.0;Jet OLEDB:Engine Type=5"
cnn.Open NomBDComplet
'
'----------------------------------------------------------------------------------------
' Fin de la fonction OuvertureBD
'----------------------------------------------------------------------------------------
'
End Function


Public Sub Destruction_fichier(NomFichier_A_detruire As String)
    Kill NomFichier_A_detruire
End Sub

Public Function ExecCmd(cmdline$) As Long
'
'----------------------------------------------------------------------------------------
'
'----------------------------------------------------------------------------------------
'
'----------------------------------------------------------------------------------------
'
'----------------------------------------------------------------------------------------
'
'   Dclarations des varaibles locales
'
Dim proc As PROCESS_INFORMATION
Dim start As STARTUPINFO
Dim RetVal As Long
'
'   Initialisez la structure STARTUPINFO :
'
start.cb = Len(start)
'
'   Dmarrez l'application Shell :
'
RetVal = CreateProcessA(vbNullString, cmdline$, 0&, 0&, 1&, _
NORMAL_PRIORITY_CLASS, 0&, vbNullString, start, proc)
'
'   Attendez la fin de l'application Shell :
'
RetVal = WaitForSingleObject(proc.hProcess, INFINITE)
Call GetExitCodeProcess(proc.hProcess, RetVal)
Call CloseHandle(proc.hThread)
Call CloseHandle(proc.hProcess)
'
ExecCmd = RetVal
'
'
'
'
'
End Function


