Attribute VB_Name = "ChaineCaracteres"
Option Explicit

Public Function SubstitutionCaractereConsecutif(Chaine As String, Caractere As String) As String
'
'----------------------------------------------------------------------------------------
' RemplaceCaractereConsecutif
'----------------------------------------------------------------------------------------
'
' Cette fonction permet dans une chaine de caractres de remplacer plusieurs caractres
' identiques successifs par un seul caractres. Ceci est utile dans la cas de
' rutilisation de la chaine modifie dans la fonction Split() de Visual basic
' par exemple.
'
' J'ai construit cette fonction dans le cas d'un problme rencontr dans l'utilisation de
' la fonction Replace du Visual Basic.
'
'----------------------------------------------------------------------------------------
'  2003 Fvrier - Paul Salmon
'----------------------------------------------------------------------------------------
'
' Arguments de la fonction.
'
' Chaine    dsigne la chaine  traiter
' Caractere dsigne le caractre ne pouvant pas se rpter.
'
' Dclarations locales
'
Dim i As Long            ' Indice de boucle
Dim Car As String        ' ime caractre de la chaine  traiter
Dim Precedent As String  ' Contient la valeur traite avant le ime caractres de Chaine
'
' Vrification de la longueur de Caractere. Celle-ci doit tre gale  1.
'
If Len(Caractere) > 1 Then
    MsgBox "Veuillez modifier le caractre  rendre unique dans la chaine." & vbCrLf & _
           "Vous ne pouvez donner qu'un caractre.", _
           vbOKOnly, "Vrification de la longueur de la chane."
    End
End If
'
' Elimination des blancs en tte et en fin de la chaine de caractres
'
Chaine = Trim(Chaine)
'
' Initialisation de Precedent.
'
Precedent = ""
'
' Boucle de construction de la chaine sans la chane de caractres rpte
'
For i = 0 To Len(Chaine) - 1
    '
    ' Lecture de chaine caractre par caractre
    '
    Car = Mid(Chaine, i + 1, 1)
    '
    ' Test
    '
    If Car = Caractere Then
        If Precedent <> Caractere Then
            SubstitutionCaractereConsecutif = SubstitutionCaractereConsecutif & Car
            Precedent = Car
        Else
            Precedent = Caractere
        End If
    Else
        SubstitutionCaractereConsecutif = SubstitutionCaractereConsecutif & Car
        Precedent = Car
    End If
Next i
'
'----------------------------------------------------------------------------------------
' Fin de la fonction Remplace
'----------------------------------------------------------------------------------------
'
End Function


