VERSION 5.00
Begin VB.Form frmChartDirector 
   Caption         =   "Form3"
   ClientHeight    =   9795
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   11295
   LinkTopic       =   "Form3"
   ScaleHeight     =   9795
   ScaleWidth      =   11295
   StartUpPosition =   3  'Windows Default
   Begin VB.Image Image1 
      Height          =   9375
      Left            =   360
      Top             =   240
      Width           =   10815
   End
End
Attribute VB_Name = "frmChartDirector"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'Option Explicit

Sub multiline(TableauResultats As Double)
    '
    ' Dclarations locales
    '
    Dim cd As Object
    Dim Data0() As Double
    Dim Data1() As Double
    Dim Data2() As Double

    Set cd = CreateObject("ChartDirector.API")

    'The data for the line chart
    For i = 0 To UBound(TableauResultats, 1)
        Data0(i) = TableauResultats(i, 1)
        Data1(i) = TableauResultats(i, 1)
        Data2(i) = TableauResultats(i, 1)
    Next i
    '
    'The labels for the line chart
    '
    Labels = Array("0", "", "", "3", "", "", "6", "", "", "9", "", "", "12", _
        "", "", "15", "", "", "18", "", "", "21", "", "", "24")

    'Create a XYChart object of size 500 x 300 pixels
    Dim LargeurImage As Long
    Dim HAuteuImage As Long
    LargeurImage = frmChartDirector.Image1.Width
    
    HauteurImage = frmChartDirector.Image1.Height
    Set c = cd.XYChart(LargeurImage, HauteurImage)

    'Set background color to pale yellow 0xffff80, with a black edge and a
    '1 pixel 3D border
    Call c.setBackground(&HFFFF80, &H0, 1)

    'Set the plotarea at (55, 45) and of size 420 x 210 pixels, with white
    'background. Turn on both horizontal and vertical grid lines with light
    'grey color (0xc0c0c0)
    Call c.setPlotArea(55, 45, 420, 210, &HFFFFFF, -1, -1, &HC0C0C0, -1)

    'Add a legend box at (55, 25) (top of the chart) with horizontal
    'layout. Use 8 pts Arial font. Set the background and border color to
    'Transparent.
    Call c.addLegend(55, 25, 0, "", 8).setBackground(cd.Transparent)

    'Add a title box to the chart using 11 pts Arial Bold Italic font. The
    'text is white (0xffffff) on a dark red (0x800000) background, with a 1
    'pixel 3D border.
    Call c.addTitle("Toto", "arialbi.ttf", 11, &HFFFFFF _
        ).setBackground(&H800000, -1, 1)

    'Add a title to the y axis
    Call c.YAxis().setTitle("MBytes")

    'Set the labels on the x axis
    Call c.XAxis().setLabels(Labels)

    'Add a title to the x axis
    Call c.XAxis().setTitle("Toto")

    'Add a line layer to the chart
    Set layer = c.addLineLayer()

    'Set the default line width to 3 pixels
    Call layer.setLineWidth(3)

    'Add the three data sets to the line layer
    Call layer.addDataSet(Data0, -1, "TiTi")
    Call layer.addDataSet(Data1, -1, "Tutu")
    'Call layer.addDataSet(Data2, -1, "Tete")

    'output the chart in PNG format
    Call c.makeChart(App.Path & "\Toto.gif")

End Sub

Private Sub Form_Load()
    'multiline
    Image1.Width = 640
    Image1.Height = 480
    Image1 = LoadPicture(App.Path & "\Toto.gif")
End Sub
