Attribute VB_Name = "Matrix_Mod"
Option Explicit
Public Var      As Byte
Public Matrix() As Double
Dim i           As Byte
Dim j           As Byte
Dim t           As Byte
Dim max         As Byte
Dim diag        As Double
Dim x           As Integer
Dim y           As Integer
Dim tempnum     As Double
Dim lim         As Boolean

Public Sub Solve()
j = 0
lim = False
'If the last column has only zeros the system is Homogeneous and the solution is
'trivial or non-trivial unless you have entered a Zero Matrix
If Homogeneous_system = True Then MsgBox "The sytem has a trivial or non-trivial" _
& " solution", vbInformation, "Homogeneous System": Exit Sub
'Asigns the leading entry of the matrix
For i = 0 To (Var - 1)
    diag = Matrix(i, j)
    If diag = 0 Then change_rows
    'If all the elements in the column are zeros that means you have to find the
    'non zero column moving from the left to the right and I did not implemented
    'that Subroutine
    If lim Then MsgBox "This program can not solve this Linear system": Exit Sub
    If Matrix(i, j) <> 1 Then make_one
    If i < (Var - 1) Then make_zeros_below
    j = j + 1
Next i
'We have zeros under leading entry 1, we need to do the same above
'i = Var - 1
For i = 0 To (Var - 2)
    make_zeros_above
Next i
frmGrid.Hide
frmResults.Show
End Sub

Private Sub change_rows()
Dim temparray() As Double
x = i
Do While (Matrix(x, j) = 0 And x < Var - 1)
diag = Matrix(x + 1, j)
If diag <> 0 Then
    ReDim temparray(Var)
    For y = 0 To Var
        temparray(y) = Matrix(i, y)
        Matrix(i, y) = Matrix(x + 1, y)
        Matrix(x + 1, y) = temparray(y)
    Next y
    Exit Do
Else
    x = x + 1
    If x = (Var - 1) Then lim = True
End If
Loop
If x = (Var - 1) Then lim = True
End Sub

Private Function Homogeneous_system() As Boolean
Dim myvalue   As Double
For x = 0 To (Var - 1)
     If Matrix(x, Var) = 0 Then myvalue = myvalue + 1
Next x
If myvalue = Var Then Homogeneous_system = True
End Function

Private Sub make_one()
For y = Var To i Step -1
     Matrix(i, y) = Matrix(i, y) / Matrix(i, i)
     Debug.Print Matrix(i, y)
Next y
End Sub
Private Sub make_zeros_below()
x = i + 1
max = Var - i - 1
For t = 1 To max
    tempnum = Matrix(x, i)
    If Matrix(x, i) <> 0 Then
        For y = i To Var
            Matrix(x, y) = Matrix(x, y) - (tempnum * Matrix(i, y))
            Debug.Print Matrix(x, y)
        Next y
    End If
    x = x + 1
Next t
End Sub

Private Sub make_zeros_above()
x = i
max = i + 1
For t = 0 To i
    tempnum = Matrix(x, i + 1)
    If tempnum <> 0 Then
        For y = max To Var
            Matrix(x, y) = Matrix(x, y) - (tempnum * Matrix(i + 1, y))
            Debug.Print Matrix(x, y)
        Next y
    End If
    x = x - 1
Next t
End Sub
