VERSION 5.00
Object = "{5E9E78A0-531B-11CF-91F6-C2863C385E30}#1.0#0"; "MSFLXGRD.OCX"
Begin VB.Form frmGrid 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Augmented Matrix"
   ClientHeight    =   1515
   ClientLeft      =   45
   ClientTop       =   435
   ClientWidth     =   3570
   LinkTopic       =   "Form1"
   ScaleHeight     =   1515
   ScaleWidth      =   3570
   StartUpPosition =   2  'CenterScreen
   Begin VB.CommandButton cmdCancel 
      Caption         =   "Cancel"
      Height          =   375
      Left            =   1320
      TabIndex        =   2
      Top             =   1080
      Width           =   1215
   End
   Begin VB.CommandButton cmdSolv 
      Caption         =   "Solve"
      Height          =   375
      Left            =   120
      TabIndex        =   1
      Top             =   1080
      Width           =   1215
   End
   Begin MSFlexGridLib.MSFlexGrid msFlexg 
      Height          =   975
      Left            =   0
      TabIndex        =   0
      Top             =   0
      Width           =   3615
      _ExtentX        =   6376
      _ExtentY        =   1720
      _Version        =   393216
   End
End
Attribute VB_Name = "frmGrid"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub cmdCancel_Click()
Unload Me
End Sub

Private Sub cmdSolv_Click()
Dim x As Byte
Dim y As Byte
ReDim Matrix(Var - 1, Var)
'Verify that there are not empty fields before save them into an array
For x = 1 To Var
    For y = 0 To Var
        If msFlexg.TextMatrix(x, y + 1) = "" Then
            MsgBox "There is one or more empty fields", vbInformation, "Empty Field"
            msFlexg.SetFocus
            msFlexg.Col = y + 1
            msFlexg.Row = x
            Exit Sub
        End If
        Matrix(x - 1, y) = msFlexg.TextMatrix(x, y + 1)
    Next y
Next x
Solve
End Sub

Private Sub Command1_Click()
MsgBox Me.Width & " " & Me.Height
End Sub

Private Sub Form_Load()
Dim x As Byte
'This Subroutine set the number of Cols,Rows,Size and position of the MSFlexgrid,
'Buttons and Form
msFlexg.Rows = Var + 1
msFlexg.Cols = Var + 2
msFlexg.ColWidth(0) = 600
If Var <= 12 Then
    Me.Width = 1020 * msFlexg.Cols
    Me.Height = 350 * msFlexg.Rows + 1100
Else
    Me.WindowState = 2
End If
cmdSolv.Top = Me.Height - 930
cmdCancel.Top = Me.Height - 930
For x = 1 To (Var + 1)
    msFlexg.TextMatrix(0, x) = "X" & x
    If x <= Var Then msFlexg.TextMatrix(x, 0) = x
Next x
msFlexg.TextMatrix(0, Var + 1) = "B"
End Sub

Private Sub Form_Resize()
'When maximize change the Width and Height of the MSFlexgrid and the buttons
'position
If Me.WindowState <> 1 Then
    cmdSolv.Top = Me.Height - 930
    cmdCancel.Top = Me.Height - 930
    msFlexg.Width = Me.Width - 60
    msFlexg.Height = Me.Height - 1000
End If
End Sub

Private Sub Form_Unload(Cancel As Integer)
frmMain.Show
End Sub

Private Sub msFlexg_KeyDown(KeyCode As Integer, Shift As Integer)
'If press Del key
If KeyCode = 46 Then
    msFlexg.Text = ""
End If
End Sub

Private Sub msFlexg_KeyPress(KeyAscii As Integer)
Dim lennum As Integer
'To edit the MSFlexgrid control I use the KeyPress event
'Allow only numbers
If IsNumeric(Chr(KeyAscii)) Then
    msFlexg.Text = msFlexg.Text & Chr(KeyAscii)
'or Back Key
ElseIf KeyAscii = vbKeyBack Then
    lennum = Len(msFlexg.Text)
    If lennum >= 1 Then
        msFlexg.Text = Left(msFlexg.Text, lennum - 1)
    End If
'this is used to allow decimal numbers
ElseIf KeyAscii = 46 Then
    If (msFlexg.Text) <> "" Then
        If IsNumeric(msFlexg.Text & "." & "0") Then msFlexg.Text = msFlexg.Text & "."
    Else
        msFlexg.Text = "."
    End If
'and this to allow negative numbers
ElseIf KeyAscii = 45 Then
    If Left(msFlexg.Text, 1) = "-" Then
        lennum = Len(msFlexg.Text)
        msFlexg.Text = Right(msFlexg.Text, lennum - 1)
    Else
        msFlexg.Text = "-" & msFlexg.Text
    End If
'If you press Return it moves one cell to the left or to the next row or to the first
'row, depend on where you are
ElseIf KeyAscii = 13 Then
    If Not msFlexg.Col = (msFlexg.Cols - 1) Then
        msFlexg.Col = msFlexg.Col + 1
    ElseIf Not msFlexg.Row = (msFlexg.Rows - 1) Then
        msFlexg.Col = 1
        msFlexg.Row = msFlexg.Row + 1
    Else
        msFlexg.Col = 1
        msFlexg.Row = 1
    End If
End If
End Sub

Private Sub msFlexg_LeaveCell()
'This keep the entries in numeric values any other entry, the cell is left empty
If msFlexg.Text = "." Or msFlexg.Text = "-" Or msFlexg.Text = "-." Then msFlexg.Text = "": Exit Sub
If Not msFlexg.Text = "" Then msFlexg.Text = CDec(msFlexg.Text)
End Sub

