Attribute VB_Name = "Declarations"
Option Explicit
Option Base 0
'
' Dclarations "Public" de Statistique
'
Public Xaug() As Double          ' Matrice X de Almon
Public Coef() As Double          ' Tableau des Coefficients
Public StatReg() As Double       ' Tableau des rsultats des statistiques
Public MatVarCovCoef() As Double ' Tableau des Variance-covariance des coefficients
Public MatCrossCorr() As Double  ' Tableau des corrlations croises.
Public PD() As Double            ' Tableau des Drives partielles
Public NumberDecimal As Integer  ' Nombre de Dcimal dans le tableau de Coef-Reg
Public RegData() As Double       ' tableau contenant Y, YHAT et resi

Public Sub Main()
'
'----------------------------------------------------------------------------------------
' Principal
'----------------------------------------------------------------------------------------
'
' Dans le cadre de ce projet, le "main" ne contient que des instructions de test. D'o
' l'importance des commentaires, qui permettent d'isoler certaines fonctionnalits du
' projet.
'
'----------------------------------------------------------------------------------------
'  Fevrier 2003 - Paul Salmon
'----------------------------------------------------------------------------------------
'
' Dclaration locales des variables du sous-programme
'
Dim NomFichier As String ' Nom du fichier contenant les donnes  lire.
'
Dim i As Integer         ' Indice de boucle
Dim j As Integer         ' Indice de boucle
                         '
Dim Mean() As Double     ' Vecteur de la moyenne des colonnes d'un tableau
Dim Var() As Double      ' Vecteur de la Varaince des colonnes d'un tableau
Dim ET() As Double       ' Vecteur de l'cart-type des colonnes d'un tableau
Dim CV() As Double       ' Matrice de Variance-covariance d'un tableau.
'
Dim LigneCV As String    '
'
' Lecture du fichier de donnes
'
'NomFichier = App.Path & "\norris.txt"
NomFichier = App.Path & "\longley.txt"
'NomFichier = App.Path & "\regress.dat"
'
' Lecture des donnes de configuration
'
NumberDecimal = 2
'
If NumberDecimal < 2 Then
    MsgBox "Le nombre de dcimale est trop petit." & vbCrLf & "Il doit tre suprieur  1.", vbOKOnly
    End
End If
'
' Lecture des donnes et construction de la matrice X
'
'Xaug = X(NomFichier)
'
' Redimensionnement de tableaux de donnes en fonction des dimensions de X
'
'ReDim Mean(0 To UBound(Xaug, 2))
'ReDim Var(0 To UBound(Xaug, 2))
'ReDim ET(0 To UBound(Xaug, 2))
'ReDim CV(0 To UBound(Xaug, 2), 0 To UBound(Xaug, 2))
'
' Calcul de la moyenne des colonnes de X
'
'Mean = Moyenne(X())
'
' Calcul de la variance des colonnes de X
'
'Var = Variance(X(), Mean())
'
' Calcul de l'cart-type des colonnes de X
'
'ET = EcartType(Var())
'
' Calcul de la matrice de variance-covariance de X
'
'CV = CoVariance(X(), Mean())
'
' Impression des rsultats
'
'Debug.Print "Moyenne Variance Ecart-type"
'Debug.Print "---------------------------"
'Debug.Print ""
'For i = 0 To UBound(X, 2)
'    Debug.Print Mean(i) & " " & Var(i) & " " & ET(i)
'Next i
'Debug.Print vbCrLf & "Matrice de variance-Covariance"
'Debug.Print "------------------------------" & vbCrLf
'For i = 0 To UBound(X, 2)
'    LigneCV = ""
'    For j = 0 To UBound(X, 2)
'        LigneCV = LigneCV & CV(i, j) & " "
'    Next j
'    Debug.Print LigneCV
'Next i
'
' Calcul de rgression pour X
'
Regression X(NomFichier)
'
' Ecriture de la chane de caractres contenant les rsultats dans la RichTextBox
'
Form1.Show
Form1.RichTextBox1.Text = Affichage(Coef(), StatReg(), MatCrossCorr(), MatVarCovCoef(), PD())
'
' Affichage de la fentre contenant le graphique des observs vs les calculs.
'
Form2.Show
'
'----------------------------------------------------------------------------------------
'Fin du programme de rgression
'----------------------------------------------------------------------------------------
'
'End
'
'----------------------------------------------------------------------------------------
' Fin du sous-programme principal
'----------------------------------------------------------------------------------------
'
End Sub

