Attribute VB_Name = "DeclarationsPubliques"
Option Explicit
'
'----------------------------------------------------------------------------------------
'   Module Declarations Publiques / Public declarations
'----------------------------------------------------------------------------------------
'
'   Ce module contient toutes les dclarations des variables publiques.
'   This module contains all the declarationsof "Public" variables of the application
'
'----------------------------------------------------------------------------------------
'    2003-2006 - Paul Salmon
'----------------------------------------------------------------------------------------
'
'   Variables publiques initialises dans Configuration
'
Public strURL As String             ' Chaine de caractres contenant l'URL du site de FRED
                                    '   String where URL of FRED site is stored.
Public strDonnees As String         ' Chaine de caractres contenant le nom du dossier o
                                    ' stocker temporairement le .zip et les fichiers .TXT
                                    '   String where the name of the directory of the downlaoded
                                    '   zip file and unzip files are temporaly are written
Public strBaseDeDonnees As String   ' chaine de caractres contenant le nom de la base de
                                    ' donnes
                                    '   String where the name of the database is stored
Public strFichiersExcel As String   ' Chane de caractres contenant le nom du dossier
'                                   ' pour les fichiers .xls ou .csv
                                    '   String where the name of the drectory for .xls and / or
                                    '   .csv files could be written.
Public strDecompression As String   ' Chaine de caractre contenant l'emplacement de
                                    ' l'application de dcompression
                                    '   String where the path of the unzip porgram is stored
Public LecteurDeTravail As String   ' Lettre du lecteur actuellement utilis
                                    ' Letter of the drive in use
Public Temporisation_en_Secondes As Integer ' Contient en secondes le dlai de
                                            ' temporisation
                                            ' Contains in seconds the delay of waiting
'
'   Variables publiques inititialises dans CrationBD et dans Traitement (?)
'   "Public" variables initialized in Subroutines CrationBD and Traitement(?)
'
Public cnn As ADODB.Connection    ' Connexion  la base de donnes
                                  ' Connection  to the database.
Public NomDuFichierDeLaBaseDeDonnees As String ' Name of the database.
'
'   Chaque fichier en .TXT qui contient les informations diffuses par la FRB de
'   Saint-Louis. Ces fichiers sont structuts comme suit :
'
'       - un premier ensemble d'informations alphanumriques contenant les informations
'         permettant d'identifier la sries et d'en connatre toutes les caractristiques
'         indispensables  leurs utilisations.
'       - un second ensemble contenant des donnes "chiffres" reprsentant la date et la
'         valeur de la mesure.
'
'   Afin de bien grer ces deux types d'information, j'ai cr deux structures de donnes :
'
'       MetaDonnees correspondant  ce que j'ai appell premier ensemble.
'       Donnees correspondant  ce que j'ai appel second ensemble.
'
'   Variables publiques permettant de mettre dans un mme enregistrement le contenu des
'   lignes qui prcdent les donnes numriques.
'
'   Each file in .TXT format which contains the FRB of Saint-Louis data. The structure of
'   a file is defined as follow :
'
'       - a first set of lines of alphanumerical characters in which all informations
'
'
'
'
'
'
'
'
'
'
'
'

Public Type MetaDonnees
    Title As String         ' Intitul de la srie
    SeriesID As String      ' Mnmonique ou identificateur de la srie
    Source As String        ' Source de la srie
    Release As String       '
    SeasonalAdj As String   ' Traitement vis  vis de la saisonalit
    Frequency As String     ' Priodicit
    Units As String         ' Units
    DateRange As String     ' Intervalle pour lequel les donnes sont disponibles
    Date_First As Date      ' Date de dbut de la srie
    Date_Last As Date       ' Date de fin de la srie
    LastUpdated As String   ' Date de la dernire mise  jour
    Notes As String         ' Notes et remarques diverses sur la srie.
End Type
'
'   Variables publiques permettant de mettre dans un mme enregistrement le contenu des
'   lignes qui suivent les mtadonnes.
'
Public Type Donnees
    Date As Date            ' Date o l'observation a t affecte.
    Valeur As Double        ' Valeur de l'observation  la date.
End Type

Public Type NumChr
    Country As Integer      ' Nombre maximum de caractres dans la chane Country
    Title As Integer        ' Nombre maximum de caractres dans la chane Title
    SeriesID As Integer     ' Nombre maximum de caractres dans la chane SeriesID
    Source As Integer       ' Nombre maximum de caractres dans la chane Source
    Release As Integer      ' Nombre maximum de caractres dans la chane Release
    Seasonal As Integer     ' Nombre maximum de caractres dans la chane Seasonal
    Frequency As Integer    ' Nombre maximum de caractres dans la chane Frequency
    Units As Integer        ' Nombre maximum de caractres dans la chane Units
    Date As Integer         ' Nombre maximum de caractres dans la chane Date
    LastUpdate As Integer   ' Nombre maximum de caractres dans la chane LastUpdate
    Note As Integer         ' Nombre maximum de caractres dans la chane Note
End Type

Public NombreCaracteres As NumChr ' Contient toutes les valeurs maximales des champs de la
                                  ' base de donnes.
Public FinAutomatique As Boolean  ' Variable logique permettant de choisir la manire de
                                  ' teminer le programme
Public NbMaxFichiers As Integer   ' Nombre maximum de fichiers dans le dossier
Public NbMinFichiers As Integer   ' Nombre maximum de fichiers dans le dossier
'
'
'
'
Public Type STARTUPINFO
   cb As Long
   lpReserved As String
   lpDesktop As String
   lpTitle As String
   dwX As Long
   dwY As Long
   dwXSize As Long
   dwYSize As Long
   dwXCountChars As Long
   dwYCountChars As Long
   dwFillAttribute As Long
   dwFlags As Long
   wShowWindow As Integer
   cbReserved2 As Integer
   lpReserved2 As Long
   hStdInput As Long
   hStdOutput As Long
   hStdError As Long
End Type

Public Type PROCESS_INFORMATION
   hProcess As Long
   hThread As Long
   dwProcessID As Long
   dwThreadID As Long
End Type

Public Declare Function WaitForSingleObject Lib "kernel32" (ByVal _
   hHandle As Long, ByVal dwMilliseconds As Long) As Long

Public Declare Function CreateProcessA Lib "kernel32" (ByVal _
   lpApplicationName As String, ByVal lpCommandLine As String, ByVal _
   lpProcessAttributes As Long, ByVal lpThreadAttributes As Long, _
   ByVal bInheritHandles As Long, ByVal dwCreationFlags As Long, _
   ByVal lpEnvironment As Long, ByVal lpCurrentDirectory As String, _
   lpStartupInfo As STARTUPINFO, lpProcessInformation As _
   PROCESS_INFORMATION) As Long

Public Declare Function CloseHandle Lib "kernel32" _
   (ByVal hObject As Long) As Long

Public Declare Function GetExitCodeProcess Lib "kernel32" _
   (ByVal hProcess As Long, lpExitCode As Long) As Long

Public Const NORMAL_PRIORITY_CLASS = &H20&
Public Const INFINITE = -1&


