Attribute VB_Name = "Declarations"
Option Explicit
Option Base 0
'
' Dclarations "Public" de variables de Main
'
Public Xaug() As Double          ' Matrice X de Almon
Public NumberDecimal As Integer  ' Nombre de Dcimal dans le tableau de Coef-Reg
'
' Dclarations "Public" de variables de Regression
'
Public Coef() As Double          ' Tableau des Coefficients
Public MatVarCovCoef() As Double ' Tableau des Variance-covariance des coefficients
Public PD() As Double            ' Tableau des Drives partielles
Public MatCrossCorr() As Double  ' Tableau des corrlations croises.
Public RegData() As Double       ' tableau contenant Y, YHAT et resi
Public StatReg() As Double       ' Tableau des rsultats des statistiques
'
' SelectionBD
'
Public rstCoursBourse As New ADODB.Recordset
Public rstSICOInfo As New ADODB.Recordset
Public cnn As New ADODB.Connection

Public Annees(9) As String
Public Mois(12) As String
Public Jours(31) As String
Public Points(3) As String
Public iannees As Integer
Public imois As Integer
Public ijours As Integer
Public iPoints As Integer

Public strQuery As String
Public strQueryVolume As String
Public strDriver As String
Public DataBourse()
Public SelectionDeCours()
Public SelectionIndice()
Public Series()
Public Compteur
Public Min(4)
Public serX As Series
Public MoisDeb As String
Public JourDeb As String
Public AnneeDeb As String
Public MoisFin As String
Public JourFin As String
Public AnneeFin As String
Public DateDeb As String
Public DateFin  As String
Public MA_NbPoints As String

Public IndiceSicovam As String   '
Public IndiceIntitule As String  '
Public CoursSicovam As String    '
Public CoursIntitule As String   '
'
' BaseDonnees
'
Public DateVec() As Date            ' Vecteur des dates
Public TypeTransformation As String ' Dfinie le type de transformation  faire sur les
                                    ' donnes
Public TypeDonnees As String        ' Dfinie le type de donne traite
Public TypeJour As Integer          ' Dfinie le numro du jour retenu

 
Public Sub Main()
'
'----------------------------------------------------------------------------------------
' Principal
'----------------------------------------------------------------------------------------
'
' Dans le cadre de ce projet, le "main" ne contient que des instructions de test. D'o
' l'importance des commentaires, qui permettent d'isoler certaines fonctionnalits du
' projet.
'
'----------------------------------------------------------------------------------------
'  Fevrier 2003 - Paul Salmon
'----------------------------------------------------------------------------------------
'
' Dclaration locales des variables du sous-programme
'
Dim NomFichier As String ' Nom du fichier contenant les donnes  lire.
'
Dim i As Integer         ' Indice de boucle
Dim j As Integer         ' Indice de boucle
                         '
Dim Mean() As Double     ' Vecteur de la moyenne des colonnes d'un tableau
Dim Var() As Double      ' Vecteur de la Varaince des colonnes d'un tableau
Dim ET() As Double       ' Vecteur de l'cart-type des colonnes d'un tableau
Dim CV() As Double       ' Matrice de Variance-covariance d'un tableau.
'
Dim LigneCV As String    '
'
Dim Source As String
'
' Lecture des donnes de configuration
'
NumberDecimal = 6
'
If NumberDecimal < 2 Then
    MsgBox "Le nombre de dcimale est trop petit." & vbCrLf & "Il doit tre suprieur  1.", vbOKOnly
    End
End If
'
' Selection de la source des donnes (provisoire)
'
Source = "TXT"
'
If Source = "BD" Then
    '
    Debug.Print "Je suis dans BD"
    '
    Temps
    '
    frmSelectionBD.Show
    '
    'Regression X_BD()
    '
ElseIf Source = "TXT" Then
    '
    ' Lecture du fichier de donnes
    '
    'NomFichier = App.Path & "\norris.txt"
    NomFichier = App.Path & "\longley.txt"
    'NomFichier = App.Path & "\regress.dat"
    '
    ' Lecture des donnes et construction de la matrice X
    '
    'Xaug = X(NomFichier)
    '
    ' Redimensionnement de tableaux de donnes en fonction des dimensions de X
    '
    'ReDim Mean(0 To UBound(Xaug, 2))
    'ReDim Var(0 To UBound(Xaug, 2))
    'ReDim ET(0 To UBound(Xaug, 2))
    'ReDim CV(0 To UBound(Xaug, 2), 0 To UBound(Xaug, 2))
    '
    ' Calcul de la moyenne des colonnes de X
    '
    'Mean = Moyenne(X())
    '
    ' Calcul de la variance des colonnes de X
    '
    'Var = Variance(X(), Mean())
    '
    ' Calcul de l'cart-type des colonnes de X
    '
    'ET = EcartType(Var())
    '
    ' Calcul de la matrice de variance-covariance de X
    '
    'CV = CoVariance(X(), Mean())
    '
    ' Impression des rsultats
    '
    'Debug.Print "Moyenne Variance Ecart-type"
    'Debug.Print "---------------------------"
    'Debug.Print ""
    'For i = 0 To UBound(X, 2)
    '    Debug.Print Mean(i) & " " & Var(i) & " " & ET(i)
    'Next i
    'Debug.Print vbCrLf & "Matrice de variance-Covariance"
    'Debug.Print "------------------------------" & vbCrLf
    'For i = 0 To UBound(X, 2)
    '    LigneCV = ""
    '    For j = 0 To UBound(X, 2)
    '        LigneCV = LigneCV & CV(i, j) & " "
    '    Next j
    '    Debug.Print LigneCV
    'Next i
    '
    ' Calcul de rgression pour X
    '
    Regression X(NomFichier)
    '
    ' Ecriture de la chane de caractres contenant les rsultats dans la RichTextBox
    '
    Form1.Show
    '
    '
    '
    Form1.RichTextBox1.Text = Affichage(Coef(), StatReg(), MatCrossCorr(), MatVarCovCoef(), PD())
    '
    ' Affichage de la fentre contenant le graphique des observs vs les calculs.
    '
    Form2.Show
    '
    End If
    '
'----------------------------------------------------------------------------------------
'Fin du programme de Test de rgression
'----------------------------------------------------------------------------------------
'
'End
'
'----------------------------------------------------------------------------------------
' Fin du sous-programme principal
'----------------------------------------------------------------------------------------
'
End Sub


Public Sub Temps()
For iannees = 1 To 9
    Annees(iannees) = CStr(1993 + iannees)
    'Debug.Print "Annees = " & Annees(iannees)
Next iannees

For imois = 1 To 12
    If imois < 10 Then
        Mois(imois) = "0" & CStr(imois)
    Else
        Mois(imois) = CStr(imois)
    End If
Next imois

For ijours = 1 To 31
    If ijours < 10 Then
        Jours(ijours) = "0" & CStr(ijours)
    Else
        Jours(ijours) = CStr(ijours)
    End If
Next ijours
End Sub

